Issue1785415

classification
Title: patch for : [ 1777684 ] int and long types are missing __coe
Type: Severity: normal
Components: Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pjenvey, ukeshav
Priority: normal Keywords: patch

Created on 2007-08-31.08:12:08 by ukeshav, last changed 2008-04-07.05:33:00 by pjenvey.

Files
File name Uploaded Description Edit Remove
bug_int_long_float.diff ukeshav, 2007-09-19.10:18:18 patch file
Messages
msg2871 (view) Author: keshav upadhyaya (ukeshav) Date: 2007-08-31.08:12:08
i have added __coerce__ function for long and int
please apply this patch after applying patch id 1783088 .

because some changes in PyObject have been done .

i have written new test file for checking coerce functionality for int and long please modify it if some improvement is required .
msg2872 (view) Author: keshav upadhyaya (ukeshav) Date: 2007-09-19.10:18:19
i am uploading the updated patch that contains __coerce__ function implementation for float types aslo.
please review the patch
File Added: bug_int_long_float.diff
msg2873 (view) Author: Philip Jenvey (pjenvey) Date: 2007-09-22.04:30:46
The same question I asked in #1783088 applies here to

https://sourceforge.net/tracker/?func=detail&aid=1783088&group_id=12867&atid=312867

Can __coerce__ be implemented via __coerce_ex__ for these classes?
msg2874 (view) Author: keshav upadhyaya (ukeshav) Date: 2007-09-24.05:17:27
The same ans which is given for patch #1783088..
msg3125 (view) Author: Philip Jenvey (pjenvey) Date: 2008-04-07.05:32:43
applied in r4315, thanks!
History
Date User Action Args
2008-04-07 05:33:00pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg3125
components: + Core, - None
2007-08-31 08:12:08ukeshavcreate